pcl::octree::OctreeContainerPointIndices Class Reference

Octree container class that does store a vector of point indices. More...

`#include <pcl/octree/octree_container.h>`

Inheritance diagram for pcl::octree::OctreeContainerPointIndices:

## Public Member Functions

virtual OctreeContainerPointIndices * | deepCopy () const
| Octree deep copy method. More...
bool | operator== (const OctreeContainerBase &other) const override
| Equal comparison operator. More...
void | addPointIndex (index_t data_arg)
| Add point index to container memory. More...
index_t | getPointIndex () const
| Retrieve point index from container. More...
void | getPointIndices (Indices &data_vector_arg) const
| Retrieve point indices from container. More...
Indices & | getPointIndicesVector ()
| Retrieve reference to point indices vector. More...
uindex_t | getSize () const override
| Get size of container (number of indices) More...
void | reset () override
| Reset leaf node. More...
Public Member Functions inherited from pcl::octree::OctreeContainerBase
virtual | ~OctreeContainerBase ()=default
bool | operator!= (const OctreeContainerBase &other) const
| Inequal comparison operator. More...
void | addPointIndex (const index_t &)
| Empty addPointIndex implementation. More...
void | getPointIndex (index_t &) const
| Empty getPointIndex implementation as this leaf node does not store any point indices. More...
void | getPointIndices (Indices &) const
| Empty getPointIndices implementation as this leaf node does not store any data. More...

## Protected Attributes

Indices | leafDataTVector_
| Leaf node DataT vector. More...

## Detailed Description

Octree container class that does store a vector of point indices.

Note
  Enables the octree to store multiple DataT elements within its leaf nodes.

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 251 of file octree_container.h.

## Member Function Documentation

## addPointIndex()

void pcl::octree::OctreeContainerPointIndices::addPointIndex | ( | index_t | data_arg | ) |

inline

Add point index to container memory.

This container stores a vector of point indices.

Parameters

  [in] | data_arg | index to be stored within leaf node.

Definition at line 277 of file octree_container.h.

References leafDataTVector_.

## deepCopy()

virtual OctreeContainerPointIndices* pcl::octree::OctreeContainerPointIndices::deepCopy | ( |  | ) | const

inline virtual

Octree deep copy method.

Definition at line 255 of file octree_container.h.

## getPointIndex()

index_t pcl::octree::OctreeContainerPointIndices::getPointIndex | ( |  | ) | const

inline

Retrieve point index from container.

This container stores a vector of point indices.

Returns
  index stored within container.

Definition at line 287 of file octree_container.h.

References leafDataTVector_.

## getPointIndices()

void pcl::octree::OctreeContainerPointIndices::getPointIndices | ( | Indices & | data_vector_arg | ) | const

inline

Retrieve point indices from container.

This container stores a vector of point indices.

Parameters

  [out] | data_vector_arg | vector of point indices to be stored within data vector

Definition at line 298 of file octree_container.h.

References leafDataTVector_.

## getPointIndicesVector()

Indices& pcl::octree::OctreeContainerPointIndices::getPointIndicesVector | ( |  | ) |

inline

Retrieve reference to point indices vector.

This container stores a vector of point indices.

Returns
  reference to vector of point indices to be stored within data vector

Definition at line 309 of file octree_container.h.

References leafDataTVector_.

## getSize()

uindex_t pcl::octree::OctreeContainerPointIndices::getSize | ( |  | ) | const

inline override virtual

Get size of container (number of indices)

Returns
  number of point indices in container.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 318 of file octree_container.h.

References leafDataTVector_.

## operator==()

bool pcl::octree::OctreeContainerPointIndices::operator== | ( | const OctreeContainerBase & | other | ) | const

inline override virtual

Equal comparison operator.

Parameters

  [in] | other | OctreeContainerDataTVector to compare with

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 264 of file octree_container.h.

References leafDataTVector_.

## reset()

void pcl::octree::OctreeContainerPointIndices::reset | ( |  | ) |

inline override virtual

Reset leaf node.

Clear DataT vector.

Implements pcl::octree::OctreeContainerBase.

Definition at line 325 of file octree_container.h.

References leafDataTVector_.

## Member Data Documentation

## leafDataTVector_

Indices pcl::octree::OctreeContainerPointIndices::leafDataTVector_

protected

Leaf node DataT vector.

Definition at line 332 of file octree_container.h.

Referenced by addPointIndex(), getPointIndex(), getPointIndices(), getPointIndicesVector(), getSize(), operator==(), and reset().

The documentation for this class was generated from the following file:

- pcl/octree/octree_container.h